SERIALVER(1)

NAME
serialver - return the serialVersionUID for one or more classes in a form suitable for copying into an evolving class

SYNOPSIS
serialver [options] [classnames]

options
    This represents the command-line options for the serialver command. See Options for serialver.

classnames
    The classes for which serialVersionUID is to be returned.

DESCRIPTION
The serialver command returns the serialVersionUID for one or more classes in a form suitable for copying into an evolving class. When called with no arguments, the serialver command prints a usage line.

OPTIONS FOR SERIALVER

-classpath path-files
    Sets the search path for application classes and resources. Separate classes and resources with a colon (:).

-Joption
    Passes the specified option to the Java Virtual Machine, where option is one of the options described on the reference page for the Java application launcher. For example, -J-Xms48m sets the startup memory to 48 MB.

WARNING
The serialver command loads and initializes the specified classes in order to determine their serialVersionUID values. DO NOT RUN serialver on untrusted classes.